<div class="form-container">
  <div class="form-content">
    <div class="form-group">
      <div class="form-group__label">
        <label><%= t 'community_survey.title_label' %></label>
      </div>
      <div class="form-group__input">
        <%# <%= @community_surveys %>
        <% community_surveys = @community_surveys.map { |a| [a.vname, a.vid] } %>
        <%= select_tag :community_survey_id, options_for_select(community_surveys), { prompt: t('please_select_label'), class: 'ui dropdown', required: true } %>
      </div>
    </div>

    <div class="form-group">
      <div class="form-group__label">
        <label><%= t 'house.title_label' %></label>
      </div>
      <div class="form-group__input">
        <%= select_tag :house_id, options_for_select([]), { include_blank: '-', class: 'ui dropdown', required: true } %>
      </div>
    </div>

    <div class="form-group">
      <div class="form-group__label">
        <label><%= t 'family_folder.title_label' %></label>
      </div>
      <div class="form-group__input">
        <%= select_tag :family_folder_id, options_for_select([]), { include_blank: '-', class: 'ui dropdown', required: true } %>
      </div>
    </div>
  </div>
  <div class="form-action --no-bg">
    <button id="cancel_button" class="ui button --edit --footer-button"><%= t :cancel_label %></button>
    <button id="select_button" class="ui button --submit --footer-button"><%= t :ok_label %></button>
  </div>

  <script>
    $('#cancel_button').click(function () {
      $('#goto_modal').modal('toggle');
    });

    $('#select_button').click(function () {
      const community_survey_id = $('#community_survey_id').val();
      if (!community_survey_id) return;
      const house_id = $('#house_id').val();
      if (!house_id) return;
      const url = `/community_surveys/${community_survey_id}/houses/${house_id}/family_folders`
      document.location = url;
    });

    $('#house_id').on('change', function () {
      const community_survey_id = $('#community_survey_id').val();
      const house_id = $('#house_id').val();
      if (!house_id) return;
      $.ajax({
        method: 'GET',
        url: `/community_surveys/${community_survey_id}/houses/${house_id}/family_folders`,
        dataType: 'json'
      }).done(function (data) {
        let $component = $('#family_folder_id');
        console.log(data);
        $component.empty();
        if (data.length > 0) {
          for (let i = 0; i < data.length; i++) {
            $component.append('<option id=' + data[i][1] + ' value=' + data[i][1] + '>' + data[i][0] + '</option>');
          }
        } else {
          $component.append('<option value="">-</option>');
        }
        $component.change();
      }).fail(function () {
        alert("error");
      });
    });

    $('#community_survey_id').on('change', function () {
      console.log('community survey id change')
      let id = $('#community_survey_id').val();
      $.ajax({
        method: 'GET',
        url: `/community_surveys/${id}/houses`,
        dataType: 'json'
      }).done(function (data) {
        let $component = $('#house_id');
        $component.empty();
        if (data.length > 0) {
          for (let i = 0; i < data.length; i++) {
            $component.append('<option id=' + data[i][1] + ' value=' + data[i][1] + '>' + data[i][0] + '</option>');
          }
        } else {
          $component.append('<option value="">-</option>');
        }
        $component.change();
      }).fail(function () {
        alert("error");
      });
    });
  </script>
</div>

